Bug 232690 - New port: devel/pmdk: a collection of libraries and tools for System Administrators and Application Developers
Summary: New port: devel/pmdk: a collection of libraries and tools for System Adminis...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-10-25 20:02 UTC by D Scott Phillips
Modified: 2018-12-07 13:43 UTC (History)
2 users (show)

See Also:


Attachments
0001-New-port-devel-pmdk.patch (42.02 KB, patch)
2018-10-25 20:02 UTC, D Scott Phillips
no flags Details | Diff
v2-0001-New-port-devel-pmdk.patch (41.73 KB, patch)
2018-10-30 20:12 UTC, D Scott Phillips
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description D Scott Phillips 2018-10-25 20:02:32 UTC
Created attachment 198630 [details]
0001-New-port-devel-pmdk.patch

The Persistent Memory Development Kit (PMDK) is a collection of
libraries and tools for System Administrators and Application
Developers to simplify managing and accessing persistent memory
devices.

WWW:    https://pmem.io/pmdk/
Comment 1 Nathan 2018-10-26 01:22:22 UTC
Comment on attachment 198630 [details]
0001-New-port-devel-pmdk.patch

+BUILD_DEPENDS=	autoconf:devel/autoconf
Change to USES=   autoreconf:build

Could simplify:
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmem.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmemblk.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmemcto.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmemlog.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmemobj.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libpmempool.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libvmem.so.1.0.0
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libvmmalloc.so.1.0.0

${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/*.so.1.0.0

Also USES goes after *_DEPENDS 
https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html

So should be:
+BUILD_DEPENDS=	autoconf:devel/autoconf
+BUILD_DEPENDS+=	bash:shells/bash
+BUILD_DEPENDS+=	doxygen:devel/doxygen
+
+LIB_DEPENDS=	libuuid.so:misc/e2fsprogs-libuuid

+USES=		gmake pkgconfig
+USE_GITHUB=	YES
+GH_ACCOUNT=	pmem
Comment 2 Nathan 2018-10-26 02:18:03 UTC
(In reply to Nathan from comment #1)
So should be:
+BUILD_DEPENDS=	autoconf:devel/autoconf (Meant to leave out)
Comment 3 D Scott Phillips 2018-10-26 04:07:52 UTC
(In reply to Nathan from comment #1)

Thanks for the feedback, I'll post an updated patch with your suggestions early next week.
Comment 4 Mateusz Piotrowski freebsd_committer 2018-10-26 13:18:22 UTC
(In reply to D Scott Phillips from comment #3)

You may also want to run portlint (https://www.freshports.org/ports-mgmt/portlint) to fix other minor issues.
Comment 5 D Scott Phillips 2018-10-30 20:12:47 UTC
Created attachment 198783 [details]
v2-0001-New-port-devel-pmdk.patch

Changes since v1:
- change BUILD_DEPENDS=autoconf to USES=autoreconf:build
- simplify `strip` commands with a wildcard
- reorder variable definitions per the handbook
Comment 6 D Scott Phillips 2018-11-12 22:51:06 UTC
ping
Comment 7 Mateusz Piotrowski freebsd_committer 2018-11-16 17:18:10 UTC
There are quite a lot of issues reported by portlint, btw.

I've started looking into it and I created a revision on phabricator: https://reviews.freebsd.org/D18009

Feel free to commandeer that differential revision if you'd like to submit additional fixes.
Comment 8 commit-hook freebsd_committer 2018-12-07 13:41:38 UTC
A commit references this bug:

Author: 0mp
Date: Fri Dec  7 13:41:28 UTC 2018
New revision: 486862
URL: https://svnweb.freebsd.org/changeset/ports/486862

Log:
  New port: devel/pmdk: Libraries and tools to manage and access persistent memory devices

  The Persistent Memory Development Kit (PMDK) is a collection of libraries
  and tools for System Administrators and Application Developers to simplify
  managing and accessing persistent memory devices.

  WWW: https://pmem.io/pmdk/

  PR:		232690
  Submitted by:	D Scott Phillips <d.scott.phillips@intel.com>
  Reviewed by:	mat, ndowens@yahoo.com (previous version)
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D18009

Changes:
  head/devel/Makefile
  head/devel/pmdk/
  head/devel/pmdk/Makefile
  head/devel/pmdk/distinfo
  head/devel/pmdk/files/
  head/devel/pmdk/files/patch-src_Makefile.inc
  head/devel/pmdk/files/patch-src_common.inc
  head/devel/pmdk/files/patch-src_common_os__auto__flush__linux.c
  head/devel/pmdk/files/patch-src_common_os__posix.c
  head/devel/pmdk/files/patch-src_common_queue.h
  head/devel/pmdk/pkg-descr
  head/devel/pmdk/pkg-message
  head/devel/pmdk/pkg-plist
Comment 9 Mateusz Piotrowski freebsd_committer 2018-12-07 13:43:41 UTC
Committed! Thanks a lot!